import { ChangeDetectorRef, EventEmitter } from '@angular/core';
export declare class PillComponent {
    detector: ChangeDetectorRef;
    closeIcon: string;
    unoPillRemoveElem: EventEmitter<any>;
    hasPill: boolean;
    removable: boolean;
    unlinked: boolean;
    constructor(detector: ChangeDetectorRef);
    remove(): void;
}
